/*
 * MosP - Mind Open Source Project    http://www.mosp.jp/
 * Copyright (C) MIND Co., Ltd.       http://www.e-mind.co.jp/
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
package jp.mosp.payroll.bonus.dto;

import jp.mosp.common.common.BaseDto;

public class PtSuperiorDto extends BaseDto {
	
	private static final long	serialVersionUID	= -4419951916018329755L;
	
	// フィールド
	private String				kCode				= "";						// 社員コード
	private String				superiorCode		= "";						// サポーター社員コード
																				
	private String				stationCode			= "";						// 社員所属コード
	private String				kName				= "";						// 社員名
	private String				superiorName		= "";						// サポーター社員名
																				
	
	/**
	 * コンストラクタ
	 */
	public PtSuperiorDto() {
		super();
	}
	
	// アクセサメソッド
	public String getKCode() {
		return kCode;
	} // 社員コード
	
	public String getSuperiorCode() {
		return superiorCode;
	} // サポーター社員コード
	
	public void setKCode(String kCode) {
		this.kCode = kCode;
	} // 社員コード
	
	public void setSuperiorCode(String superiorCode) {
		this.superiorCode = superiorCode;
	} // サポーター社員コード
	
	public String getStationCode() {
		return stationCode;
	} // 社員所属コード
	
	public String getKName() {
		return kName;
	} // 社員名
	
	public String getSuperiorName() {
		return superiorName;
	} // サポーター社員名
	
	public void setStationCode(String stationCode) {
		this.stationCode = stationCode;
	} // 社員所属コード
	
	public void setKName(String kName) {
		this.kName = kName;
	} // 社員名
	
	public void setSuperiorName(String superiorName) {
		this.superiorName = superiorName;
	} // サポーター社員名
}
